# Class TCefResponseRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFResponse

## Declaration

`type TCefResponseRef = class(TCefBaseRefCountedRef, ICefResponse)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefResponseRef

## Overview

### Methods

| `function IsReadOnly: Boolean;`
| `function GetError: TCefErrorCode;`
| `procedure SetError(error: TCefErrorCode);`
| `function GetStatus: Integer;`
| `procedure SetStatus(status: Integer);`
| `function GetStatusText: ustring;`
| `procedure SetStatusText(const StatusText: ustring);`
| `function GetMimeType: ustring;`
| `procedure SetMimeType(const mimetype: ustring);`
| `function GetCharset: ustring;`
| `procedure SetCharset(const charset: ustring);`
| `function GetHeaderByName(const name: ustring): ustring;`
| `procedure SetHeaderByName(const name, value: ustring; overwrite: boolean);`
| `procedure GetHeaderMap(const headerMap: ICefStringMultimap);`
| `procedure SetHeaderMap(const headerMap: ICefStringMultimap);`
| `function GetURL: ustring;`
| `procedure SetURL(const url: ustring);`
| `class function UnWrap(data: Pointer): ICefResponse;`
| `class function New: ICefResponse;`

## Description

### Methods

| `function IsReadOnly: Boolean;`
This item has no description. Showing description inherited from ICefResponse.IsReadOnly. Returns true (1) if this object is read-only.

| `function GetError: TCefErrorCode;`
This item has no description. Showing description inherited from ICefResponse.GetError. Get the response error code. Returns ERR_NONE if there was no error.

| `procedure SetError(error: TCefErrorCode);`
This item has no description. Showing description inherited from ICefResponse.SetError. Set the response error code. This can be used by custom scheme handlers to return errors during initial request processing.

| `function GetStatus: Integer;`
This item has no description. Showing description inherited from ICefResponse.GetStatus. Get the response status code.

| `procedure SetStatus(status: Integer);`
This item has no description. Showing description inherited from ICefResponse.SetStatus. Set the response status code.

| `function GetStatusText: ustring;`
This item has no description. Showing description inherited from ICefResponse.GetStatusText. Get the response status text.

| `procedure SetStatusText(const StatusText: ustring);`
This item has no description. Showing description inherited from ICefResponse.SetStatusText. Set the response status text.

| `function GetMimeType: ustring;`
This item has no description. Showing description inherited from ICefResponse.GetMimeType. Get the response mime type.

| `procedure SetMimeType(const mimetype: ustring);`
This item has no description. Showing description inherited from ICefResponse.SetMimeType. Set the response mime type.

| `function GetCharset: ustring;`
This item has no description. Showing description inherited from ICefResponse.GetCharset. Get the response charset.

| `procedure SetCharset(const charset: ustring);`
This item has no description. Showing description inherited from ICefResponse.SetCharset. Set the response charset.

| `function GetHeaderByName(const name: ustring): ustring;`
This item has no description. Showing description inherited from ICefResponse.GetHeaderByName. Get the value for the specified response header field.

| `procedure SetHeaderByName(const name, value: ustring; overwrite: boolean);`
This item has no description. Showing description inherited from ICefResponse.SetHeaderByName. Set the header |name| to |value|. If |overwrite| is true (1) any existing values will be replaced with the new value. If |overwrite| is false (0) any existing values will not be overwritten.

| `procedure GetHeaderMap(const headerMap: ICefStringMultimap);`
This item has no description. Showing description inherited from ICefResponse.GetHeaderMap. Get all response header fields.

| `procedure SetHeaderMap(const headerMap: ICefStringMultimap);`
This item has no description. Showing description inherited from ICefResponse.SetHeaderMap. Set all response header fields.

| `function GetURL: ustring;`
This item has no description. Showing description inherited from ICefResponse.GetURL. Get the resolved URL after redirects or changed as a result of HSTS.

| `procedure SetURL(const url: ustring);`
This item has no description. Showing description inherited from ICefResponse.SetURL. Set the resolved URL after redirects or changed as a result of HSTS.

| `class function UnWrap(data: Pointer): ICefResponse;`
This item has no description.

| `class function New: ICefResponse;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.